package intrinsic.flash.text;

public class TextSnapshot extends Object {

	/** Accessors */
	public int charCount;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public TextSnapshot() {
}


/** Static Methods */

/** Methods */
public native String getText(int arg0, int arg1);
public native String getText(int arg0, int arg1, boolean arg2);
public native boolean getSelected(int arg0, int arg1);
public native void setSelected(int arg0, int arg1, boolean arg2);
public native void setSelectColor();
public native void setSelectColor(int arg0);
public native double hitTestTextNearPos(double arg0, double arg1);
public native double hitTestTextNearPos(double arg0, double arg1, double arg2);
public native int findText(int arg0, String arg1, boolean arg2);
public native String getSelectedText();
public native String getSelectedText(boolean arg0);
public native intrinsic.Array getTextRunInfo(int arg0, int arg1);

}
